Create a Google Pass template
Roles
Analytics Events
/v2/credentials/compact/digital-pass/google/templatesCreates a Google Pass template based on the provided .zip file. Refer to our Design a Google Pass template guide for more information on how to design the template and how to structure the .zip file.
Analytic events
- CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_CREATE_START
- CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_CREATE_SUCCESS
- CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v2/credentials/compact/digital-pass/google/templates" \ -F template="string" \ -F name="string" \ -F issuerId="string" \ -F serviceAccountClientEmail="string" \ -F serviceAccountPrivateKey="string"{ "id": "string", "passType": "apple", "name": "string", "metadata": { "issuerId": "string", "serviceAccountClientEmail": "string", "payPassId": "string" }}How would you rate this page?
Delete a PDF template DELETE
Delete an existing PDF template by providing its ID ### **Analytic events** * CREDENTIAL_COMPACT_PDF_TEMPLATE_DELETE_START * CREDENTIAL_COMPACT_PDF_TEMPLATE_DELETE_SUCCESS * CREDENTIAL_COMPACT_PDF_TEMPLATE_DELETE_FAIL
Retrieve all Google Pass templates GET
Retrieves a list of all Google Pass templates available on your tenant. ### **Analytic events** * CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_RETRIEVE_LIST_START * CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_RETRIEVE_LIST_SUCCESS * CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_RETRIEVE_LIST_FAIL